Package robocode

## Class StatusEvent

- java.lang.Object
- - robocode.Event
  - - robocode.StatusEvent

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Event>`

    public final class StatusEvent
    extends Event

This event is sent to `onStatus()` every turn in a battle to provide the status of the robot.

Since:
  1.5
Author:
  Flemming N. Larsen (original)
See Also:
  Serialized Form

### Constructor Summary

Constructors
`StatusEvent​(RobotStatus status)` This constructor is called internally from the game in order to create a new `RobotStatus`.

### Method Summary

All Methods Instance Methods Concrete Methods
`RobotStatus` `getStatus()` Returns the `RobotStatus` at the time defined by `Robot.getTime()`.

### Methods inherited from class robocode.Event

`compareTo, getPriority, getTime, setPriority, setTime`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StatusEvent

    public StatusEvent​(RobotStatus status)

This constructor is called internally from the game in order to create a new `RobotStatus`.

Parameters:
  `status` - the current states

### Method Detail

#### getStatus

    public RobotStatus getStatus()

Returns the `RobotStatus` at the time defined by `Robot.getTime()`.

Returns:
  the `RobotStatus` at the time defined by `Robot.getTime()`.
See Also:
  `Event.getTime()`